## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate crossterm

Name:           rust-crossterm
Version:        0.28.1
Release:        %autorelease
Summary:        Crossplatform terminal library for manipulating terminals

License:        MIT
URL:            https://crates.io/crates/crossterm
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          crossterm-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop Windows-specific features
Patch:          crossterm-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A crossplatform terminal library for manipulating terminals.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bracketed-paste-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bracketed-paste-devel %{_description}

This package contains library source intended for building other packages which
use the "bracketed-paste" feature of the "%{crate}" crate.

%files       -n %{name}+bracketed-paste-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+event-stream-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+event-stream-devel %{_description}

This package contains library source intended for building other packages which
use the "event-stream" feature of the "%{crate}" crate.

%files       -n %{name}+event-stream-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+events-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+events-devel %{_description}

This package contains library source intended for building other packages which
use the "events" feature of the "%{crate}" crate.

%files       -n %{name}+events-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+filedescriptor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+filedescriptor-devel %{_description}

This package contains library source intended for building other packages which
use the "filedescriptor" feature of the "%{crate}" crate.

%files       -n %{name}+filedescriptor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-dev-tty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-dev-tty-devel %{_description}

This package contains library source intended for building other packages which
use the "use-dev-tty" feature of the "%{crate}" crate.

%files       -n %{name}+use-dev-tty-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip two tests that randomly fail:
#   https://github.com/crossterm-rs/crossterm/issues/836
%cargo_test -- -- --exact --skip style::types::colored::tests::test_parse_ansi_bg --skip style::types::colored::tests::test_parse_ansi_fg
%endif

%changelog
## START: Generated by rpmautospec
* Sat Aug 31 2024 Michel Lind <salimma@fedoraproject.org> - 0.28.1-1
- Update to version 0.28.1; Fixes: RHBZ#2302127

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Oct 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.27.0-2
- Skip two tests that randomly fail

* Tue Oct 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.27.0-1
- Update to version 0.27.0; Fixes RHBZ#2229490

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 19 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.26.1-1
- Update to 0.26.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.25.0-1
- Update to version 0.25.0; Fixes RHBZ#1970468

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 13 2022 Fabio Valentini <decathorpe@gmail.com> - 0.22.1-1
- Update to version 0.22.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.20.0-1
- Update to version 0.20.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar 21 15:46:54 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.19.0-1
- Update to 0.19.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.18.2-1
- Update to version 0.18.2.
- Fixes RHBZ#1883428

* Fri Sep 11 2020 Josh Stone <jistone@redhat.com> - 0.17.7-3
- Bump to parking_lot 0.11

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 14 2020 Josh Stone <jistone@redhat.com> - 0.17.7-1
- Update to 0.17.7

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.17.6-1
- Update to 0.17.6

* Sat May 23 20:16:32 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.5-1
- Update to 0.17.5

* Sun May 10 14:37:51 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.4-1
- Update to 0.17.4

* Thu Mar 19 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.16.0-2
- Fix leaking fd's

* Thu Mar 19 2020 Josh Stone <jistone@redhat.com> - 0.16.0-1
- Update to 0.16.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.14.2-1
- Update to 0.14.2

* Fri Dec 27 10:27:17 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.14.1-1
- Update to 0.14.1

* Wed Dec 11 19:34:59 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.13.3-1
- Update to 0.13.3

* Sat Aug 03 16:37:21 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.2-1
- Update to 0.10.2

* Sun Jul 28 18:46:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 11:49:17 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.6-1
- Update to 0.9.6

* Fri May 31 2019 Josh Stone <jistone@redhat.com> - 0.9.5-1
- Update to 0.9.5

* Wed May 15 20:13:25 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.4-1
- Update to 0.9.4

* Sat Apr 20 10:40:41 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3

* Fri Apr 05 17:25:13 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Fri Apr 05 09:03:46 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Thu Apr 04 08:13:39 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Fri Mar 22 2019 Josh Stone <jistone@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Fri Mar 15 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-1
- Initial package

## END: Generated by rpmautospec
